Summary
Update Automation
Description
Update an Automation.
Route
PATCH /operations-manager/automations/:id
Roles
admin
apiwrite
engineering
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Automation to update. |
| updates |
object |
yes |
The details of the Automation document to update. |
Copied to Clipboard
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": "workflows",
"gbac": {
"write": [
"dfed46cba6d5578268a03268",
"6720f2e63bbef826a03c33e2",
"27c4bad7e1fd257fb47b23de",
"5d94d51b962460acebb8ebe0"
],
"read": [
"846e74e905654ae2ad6262e7",
"c13f976e2788da81ef8c572c",
"0ded0cd2a5f9aa0563baf3d6",
"2bb9a79bc92ab2744901f290"
]
},
"componentId": ""
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
object |
The result of the update operation. |
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": null,
"createdBy": "8b128bc9f021004cf4c6dccf",
"created": "1951-12-10T19:46:00.492Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "2008-04-03T07:21:39.964Z",
"_id": "a7c198450cc12c1dc2cadd92",
"gbac": {
"write": [
"22fb6e5a7b9058e24cf2ac44",
"9fe87685f71e58ccb3a093fb",
"621c5d7d805ff36df1dde59e",
"7ee5dbf3e41732b475862df5"
],
"read": [
"53943b6a34beffd3ce01f435",
"86a31fcf167f908503e61558",
"d9c81407bb634d7cefa0adb2",
"6e29aa41e4b1181497d68fea",
"9e283c5673266c1d5a8192f1"
]
},
"componentId": "27eedb8dfc6d71ed469f34e2"
}
}